org.apache.coyote.http2

## Class HpackException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.coyote.http2.HpackException

- All Implemented Interfaces:
    Serializable

      public class HpackException
      extends Exception

  Exception that is thrown when the HPACK compress context is broken. In this case the connection must be closed.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HpackException()`
    `HpackException(String message)`
    `HpackException(String message, Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HpackException

          public HpackException(String message,
                        Throwable cause)

    - #### HpackException

          public HpackException(String message)

    - #### HpackException

          public HpackException()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.